Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSAutodial Class Reference

The auto dial feature is used to store frequently used or important numbers. More...

`#import <CSAutodial.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithButtonLocation:destinationLabel:destinationExtension:destinationExtensionEditable:
| Constructs an Autodial object from the specified parameters. More...

## Properties
NSInteger | buttonLocation
| The button index of the autodial feature as configured on the server. More...
NSString * | destinationLabel
| Returns the label text for the destination extension as assigned by the user or the administrator on the server. More...
NSString * | destinationExtension
| Returns the destination extension. More...
BOOL | destinationExtensionEditable
| Indicates whether the destination extension field can be edited by the user or not. More...

## Detailed Description

The auto dial feature is used to store frequently used or important numbers.

When the button programmed for a given autodial number is pressed, that stored number will be dialed.

## Method Documentation

- (instancetype) initWithButtonLocation: |  | (NSInteger) | buttonLocation
destinationLabel: |  | (NSString *) | label
destinationExtension: |  | (NSString *) | extension
destinationExtensionEditable: |  | (BOOL) | isExtensionEditable

Constructs an Autodial object from the specified parameters.

Parameters

  buttonLocation | Index of Autodial button.
  label | Label of destination extension.
  extension | Destination extension.
  isExtensionEditable | YES if destination extension is editable.

## Property Documentation

- (NSInteger) buttonLocation
| read nonatomic assign

The button index of the autodial feature as configured on the server.

- (NSString*) destinationExtension
| read write nonatomic copy

Returns the destination extension.

- (BOOL) destinationExtensionEditable
| read nonatomic assign

Indicates whether the destination extension field can be edited by the user or not.

- (NSString*) destinationLabel
| read write nonatomic copy

Returns the label text for the destination extension as assigned by the user or the administrator on the server.

The documentation for this class was generated from the following file:

- CSAutodial.h